## visad.data
Class FunctionFormFamily

    java.lang.Object
      visad.data.FormNode
          visad.data.FormFamily
              visad.data.FunctionFormFamily

Direct Known Subclasses:
  DefaultFamily, DemFamily, Vis5DFamily

public class FunctionFormFamily
extends FormFamily

Nested Class Summary
`(package private) class` `FunctionFormFamily.AddForm` Add a Data object to an existing local file using the first valid Form.
`(package private) class` `FunctionFormFamily.FileFunction` Perform an operation on a local file object using the first valid Form.
`(package private) class` `FunctionFormFamily.FormFunction` Base class which tries to perform an operation on an object using the first valid Form.
`(package private) class` `FunctionFormFamily.OpenStringForm` Read a Data object from a local file using the first valid Form.
`(package private) class` `FunctionFormFamily.OpenURLForm` Read a Data object from a remote file using the first valid Form.
`(package private) class` `FunctionFormFamily.SaveForm` Save a Data object to a local file using the first valid Form.
`(package private) class` `FunctionFormFamily.URLFunction` Perform an operation on a remote file object using the first valid Form.

Field Summary

Fields inherited from class visad.data.FormFamily
`forms`

Constructor Summary
`FunctionFormFamily(String name)`

Method Summary
`void` `add(String id, Data data, boolean replace)` Add data to an existing data object using the first appropriate Form.
`DataImpl` `open(String id)` Open a local data object using the first appropriate Form.
`DataImpl` `open(URL url)` Open a remote data object using the first appropriate Form.
`void` `save(String id, Data data, boolean replace)` Save a Data object using the first appropriate Form.

Methods inherited from class visad.data.FormFamily
`addFormNode, getForms`

Methods inherited from class visad.data.FormNode
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FunctionFormFamily

    public FunctionFormFamily(String name)

Method Detail

### save

    public void save(String id,
                     Data data,
                     boolean replace)
              throws BadFormException,
                     RemoteException,
                     IOException,
                     VisADException

  Save a Data object using the first appropriate Form.

  Overrides:
    `save` in class `FormFamily`
  Throws:
    `BadFormException`
    `RemoteException`
    `IOException`
    `VisADException`

### add

    public void add(String id,
                    Data data,
                    boolean replace)
             throws BadFormException

  Add data to an existing data object using the first appropriate Form.

  Overrides:
    `add` in class `FormFamily`
  Throws:
    `BadFormException`

### open

    public DataImpl open(String id)
                  throws BadFormException,
                         VisADException

  Open a local data object using the first appropriate Form.

  Overrides:
    `open` in class `FormFamily`
  Throws:
    `BadFormException`
    `VisADException`

### open

    public DataImpl open(URL url)
                  throws BadFormException,
                         IOException,
                         VisADException

  Open a remote data object using the first appropriate Form.

  Overrides:
    `open` in class `FormFamily`
  Throws:
    `BadFormException`
    `IOException`
    `VisADException`